#include<iostream>
using namespace std;
int main(){
/// super tupo reshenie
    long long a, b, k, otg = 0;
    cin >> a >> b >> k;
    for(long long i = a; i < b; ++i){
        if((i + 2) % k > 0){
            i++;
            otg++;
        }else{
            otg++;
        }
    }
    cout << otg;
    return 0;
}
